import json

def filter_data_by_scan_id_prefix(input_file, output_file, prefix="scannet"):
    with open(input_file, 'r') as f:
        data = json.load(f)
    count_train=0
    count_val=0
    
    filtered_data = {"train": [], "val": []}
    
    for item in data.get("train", []):
        if item["scan_id"].startswith(prefix):
            filtered_data["train"].append(item)
            count_train+=1

    for item in data.get("val", []):
        if item["scan_id"].startswith(prefix):
            filtered_data["val"].append(item)
            count_val+=1
    
    # with open(output_file, 'w') as f:
    #     json.dump(filtered_data, f, indent=4)
    
    # print(f"Save as: {output_file}")
    print(count_train,count_val)

input_file = 'MMScan_VG.json' 
output_file = 'MMScan_VG_scannet.json'
filter_data_by_scan_id_prefix(input_file, output_file)

#QA
#original data: train 1238374; val 318722
#scannet data: train 494312; val 118667
